Skip to main content

Update Collection

PATCH 

/api/v1/assetcollection/:collection_id

Update a Collection with partial data. At least one of name, description, group_access, additions, deletions, or source_id must be provided.

Note: The default Basket collection (SELECTED_ASSETS) cannot have its name, description, or group access updated.

REQUEST PARAMETERS

ParameterTypeDescription
namestring(optional) New collection name
descriptionstring(optional) New collection description
group_accessboolean(optional) true to share with group, false for private
additionsarray(optional) List of asset IDs to add to the collection
deletionsarray(optional) List of asset IDs to remove from the collection
source_idinteger(optional) Collection ID whose assets will be merged into additions

REQUEST JSON

{
"name": "Updated Collection Name",
"description": "New description",
"group_access": true,
"additions": ["b3ad7854e1ad4ce8a8c83272447f980b"],
"deletions": ["caf2b5f2e80a40729e32489ee65ef0d8"]
}

HTTP RESPONSE

ParameterTypeDescription
statusstringOK or ERROR
dataJSONCollection in Asset Collection JSON format

Response JSON

{
"status": "OK",
"data": {
"id": 21,
"user_id": 45,
"name": "Updated Collection Name",
"description": "New description",
"last_update": "2025-01-24T09:11:05Z",
"assets": ["b3ad7854e1ad4ce8a8c83272447f980b"],
"group_access": true,
"user_name": "John Doe",
"user_email": "john@example.org",
"extended_result": {}
}
}

Request

Responses

Successful operation